Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.appresources
Interface AppresourcesPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface AppresourcesPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Questo package contiene le metaclassi utilizzate per modellare i connettori alle risorse utilizzate dal sistema.

See Also:
  `AppresourcesFactory`

Nested Class Summary
`static interface` | `AppresourcesPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static AppresourcesPackage` | `eINSTANCE` The singleton instance of the package
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `FILE_SYSTEM_CONNECTOR` The meta object id for the '`File System Connector`' class
`static int` | `FILE_SYSTEM_CONNECTOR__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `FILE_SYSTEM_CONNECTOR__CODE` The feature id for the 'Code' attribute
`static int` | `FILE_SYSTEM_CONNECTOR_FEATURE_COUNT` The number of structural features of the 'File System Connector' class
`static int` | `JDBC_DATA_SOURCE_CONNECTOR` The meta object id for the '`JDBC Data Source Connector`' class
`static int` | `JDBC_DATA_SOURCE_CONNECTOR__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `JDBC_DATA_SOURCE_CONNECTOR__CODE` The feature id for the 'Code' attribute
`static int` | `JDBC_DATA_SOURCE_CONNECTOR_FEATURE_COUNT` The number of structural features of the 'JDBC Data Source Connector' class
`static int` | `LDAP_JNDI_CONNECTOR` The meta object id for the '`Ldap Jndi Connector`' class
`static int` | `LDAP_JNDI_CONNECTOR__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `LDAP_JNDI_CONNECTOR__CODE` The feature id for the 'Code' attribute
`static int` | `LDAP_JNDI_CONNECTOR_FEATURE_COUNT` The number of structural features of the 'Ldap Jndi Connector' class
`static int` | `PDPA_SERVICE_CONNECTOR` The meta object id for the '`PDPA Service Connector`' class
`static int` | `PDPA_SERVICE_CONNECTOR__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `PDPA_SERVICE_CONNECTOR__BINDING` The feature id for the 'Binding' reference
`static int` | `PDPA_SERVICE_CONNECTOR__CODE` The feature id for the 'Code' attribute
`static int` | `PDPA_SERVICE_CONNECTOR__SELECTOR` The feature id for the 'Selector' containment reference
`static int` | `PDPA_SERVICE_CONNECTOR__SERVICE_DEF` The feature id for the 'Service Def' reference
`static int` | `PDPA_SERVICE_CONNECTOR__USE_REGISTRY` The feature id for the 'Use Registry' attribute
`static int` | `PDPA_SERVICE_CONNECTOR_FEATURE_COUNT` The number of structural features of the 'PDPA Service Connector' class
`static int` | `RC_ANNOTATION` The meta object id for the '`RC Annotation`' class
`static int` | `RC_ANNOTATION__DETAILS` The feature id for the 'Details' containment reference list
`static int` | `RC_ANNOTATION__SOURCE` The feature id for the 'Source' attribute
`static int` | `RC_ANNOTATION_DETAIL` The meta object id for the '`RC Annotation Detail`' class
`static int` | `RC_ANNOTATION_DETAIL__KEY` The feature id for the 'Key' attribute
`static int` | `RC_ANNOTATION_DETAIL__VALUE` The feature id for the 'Value' attribute
`static int` | `RC_ANNOTATION_DETAIL_FEATURE_COUNT` The number of structural features of the 'RC Annotation Detail' class
`static int` | `RC_ANNOTATION_FEATURE_COUNT` The number of structural features of the 'RC Annotation' class
`static int` | `RESOURCE_CONNECTOR` The meta object id for the '`Resource Connector`' class
`static int` | `RESOURCE_CONNECTOR__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `RESOURCE_CONNECTOR__CODE` The feature id for the 'Code' attribute
`static int` | `RESOURCE_CONNECTOR_FEATURE_COUNT` The number of structural features of the 'Resource Connector' class
`static int` | `RESOURCE_SET` The meta object id for the '`Resource Set`' class
`static int` | `RESOURCE_SET__RESOURCES` The feature id for the 'Resources' containment reference list
`static int` | `RESOURCE_SET_FEATURE_COUNT` The number of structural features of the 'Resource Set' class
`static int` | `RPC_WEB_SERVICE_CONNECTOR` The meta object id for the '`RPC Web Service Connector`' class
`static int` | `RPC_WEB_SERVICE_CONNECTOR__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `RPC_WEB_SERVICE_CONNECTOR__BINDING` The feature id for the 'Binding' reference
`static int` | `RPC_WEB_SERVICE_CONNECTOR__CODE` The feature id for the 'Code' attribute
`static int` | `RPC_WEB_SERVICE_CONNECTOR__ENDPOINT` The feature id for the 'Endpoint' reference
`static int` | `RPC_WEB_SERVICE_CONNECTOR__SELECTOR` The feature id for the 'Selector' containment reference
`static int` | `RPC_WEB_SERVICE_CONNECTOR__SERVICE_DEF` The feature id for the 'Service Def' reference
`static int` | `RPC_WEB_SERVICE_CONNECTOR__USE_REGISTRY` The feature id for the 'Use Registry' attribute
`static int` | `RPC_WEB_SERVICE_CONNECTOR_FEATURE_COUNT` The number of structural features of the 'RPC Web Service Connector' class
`static int` | `SERVICE_CONNECTOR` The meta object id for the '`Service Connector`' class
`static int` | `SERVICE_CONNECTOR__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `SERVICE_CONNECTOR__BINDING` The feature id for the 'Binding' reference
`static int` | `SERVICE_CONNECTOR__CODE` The feature id for the 'Code' attribute
`static int` | `SERVICE_CONNECTOR__SELECTOR` The feature id for the 'Selector' containment reference
`static int` | `SERVICE_CONNECTOR__SERVICE_DEF` The feature id for the 'Service Def' reference
`static int` | `SERVICE_CONNECTOR__USE_REGISTRY` The feature id for the 'Use Registry' attribute
`static int` | `SERVICE_CONNECTOR_FEATURE_COUNT` The number of structural features of the 'Service Connector' class
`static int` | `SERVICE_SELECTOR` The meta object id for the '`Service Selector`' class
`static int` | `SERVICE_SELECTOR__AMBIENTE` The feature id for the 'Ambiente' attribute
`static int` | `SERVICE_SELECTOR__COD_BINDING` The feature id for the 'Cod Binding' attribute
`static int` | `SERVICE_SELECTOR__COD_ENTE` The feature id for the 'Cod Ente' attribute
`static int` | `SERVICE_SELECTOR__COD_PROD` The feature id for the 'Cod Prod' attribute
`static int` | `SERVICE_SELECTOR__COD_SERV` The feature id for the 'Cod Serv' attribute
`static int` | `SERVICE_SELECTOR__ISTANZA` The feature id for the 'Istanza' attribute
`static int` | `SERVICE_SELECTOR__VER_SERV` The feature id for the 'Ver Serv' attribute
`static int` | `SERVICE_SELECTOR_FEATURE_COUNT` The number of structural features of the 'Service Selector' class

Method Summary
`AppresourcesFactory` | `getAppresourcesFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EClass` | `getFileSystemConnector()` Returns the meta object for class '`File System Connector`'
`org.eclipse.emf.ecore.EClass` | `getJDBCDataSourceConnector()` Returns the meta object for class '`JDBC Data Source Connector`'
`org.eclipse.emf.ecore.EClass` | `getLdapJndiConnector()` Returns the meta object for class '`Ldap Jndi Connector`'
`org.eclipse.emf.ecore.EClass` | `getPDPAServiceConnector()` Returns the meta object for class '`PDPA Service Connector`'
`org.eclipse.emf.ecore.EReference` | `getRCAnnotation_Details()` Returns the meta object for the containment reference list '`Details`'
`org.eclipse.emf.ecore.EAttribute` | `getRCAnnotation_Source()` Returns the meta object for the attribute '`Source`'
`org.eclipse.emf.ecore.EClass` | `getRCAnnotation()` Returns the meta object for class '`RC Annotation`'
`org.eclipse.emf.ecore.EAttribute` | `getRCAnnotationDetail_Key()` Returns the meta object for the attribute '`Key`'
`org.eclipse.emf.ecore.EAttribute` | `getRCAnnotationDetail_Value()` Returns the meta object for the attribute '`Value`'
`org.eclipse.emf.ecore.EClass` | `getRCAnnotationDetail()` Returns the meta object for class '`RC Annotation Detail`'
`org.eclipse.emf.ecore.EReference` | `getResourceConnector_Annotations()` Returns the meta object for the containment reference list '`Annotations`'
`org.eclipse.emf.ecore.EAttribute` | `getResourceConnector_Code()` Returns the meta object for the attribute '`Code`'
`org.eclipse.emf.ecore.EClass` | `getResourceConnector()` Returns the meta object for class '`Resource Connector`'
`org.eclipse.emf.ecore.EReference` | `getResourceSet_Resources()` Returns the meta object for the containment reference list '`Resources`'
`org.eclipse.emf.ecore.EClass` | `getResourceSet()` Returns the meta object for class '`Resource Set`'
`org.eclipse.emf.ecore.EReference` | `getRPCWebServiceConnector_Endpoint()` Returns the meta object for the reference '`Endpoint`'
`org.eclipse.emf.ecore.EClass` | `getRPCWebServiceConnector()` Returns the meta object for class '`RPC Web Service Connector`'
`org.eclipse.emf.ecore.EReference` | `getServiceConnector_Binding()` Returns the meta object for the reference '`Binding`'
`org.eclipse.emf.ecore.EReference` | `getServiceConnector_Selector()` Returns the meta object for the containment reference '`Selector`'
`org.eclipse.emf.ecore.EReference` | `getServiceConnector_ServiceDef()` Returns the meta object for the reference '`Service Def`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceConnector_UseRegistry()` Returns the meta object for the attribute '`Use Registry`'
`org.eclipse.emf.ecore.EClass` | `getServiceConnector()` Returns the meta object for class '`Service Connector`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceSelector_Ambiente()` Returns the meta object for the attribute '`Ambiente`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceSelector_CodBinding()` Returns the meta object for the attribute '`Cod Binding`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceSelector_CodEnte()` Returns the meta object for the attribute '`Cod Ente`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceSelector_CodProd()` Returns the meta object for the attribute '`Cod Prod`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceSelector_CodServ()` Returns the meta object for the attribute '`Cod Serv`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceSelector_Istanza()` Returns the meta object for the attribute '`Istanza`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceSelector_VerServ()` Returns the meta object for the attribute '`Ver Serv`'
`org.eclipse.emf.ecore.EClass` | `getServiceSelector()` Returns the meta object for class '`Service Selector`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final AppresourcesPackage eINSTANCE

  The singleton instance of the package.

### RESOURCE_CONNECTOR

    static final int RESOURCE_CONNECTOR

  The meta object id for the '`Resource Connector`' class.

  See Also:
    `ResourceConnectorImpl`, `AppresourcesPackageImpl.getResourceConnector()`, Constant Field Values

### RESOURCE_CONNECTOR__CODE

    static final int RESOURCE_CONNECTOR__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### RESOURCE_CONNECTOR__ANNOTATIONS

    static final int RESOURCE_CONNECTOR__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### RESOURCE_CONNECTOR_FEATURE_COUNT

    static final int RESOURCE_CONNECTOR_FEATURE_COUNT

  The number of structural features of the 'Resource Connector' class.

  See Also:
    Constant Field Values

### SERVICE_CONNECTOR

    static final int SERVICE_CONNECTOR

  The meta object id for the '`Service Connector`' class.

  See Also:
    `ServiceConnectorImpl`, `AppresourcesPackageImpl.getServiceConnector()`, Constant Field Values

### SERVICE_CONNECTOR__CODE

    static final int SERVICE_CONNECTOR__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### SERVICE_CONNECTOR__ANNOTATIONS

    static final int SERVICE_CONNECTOR__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_CONNECTOR__SERVICE_DEF

    static final int SERVICE_CONNECTOR__SERVICE_DEF

  The feature id for the 'Service Def' reference.

  See Also:
    Constant Field Values

### SERVICE_CONNECTOR__BINDING

    static final int SERVICE_CONNECTOR__BINDING

  The feature id for the 'Binding' reference.

  See Also:
    Constant Field Values

### SERVICE_CONNECTOR__SELECTOR

    static final int SERVICE_CONNECTOR__SELECTOR

  The feature id for the 'Selector' containment reference.

  See Also:
    Constant Field Values

### SERVICE_CONNECTOR__USE_REGISTRY

    static final int SERVICE_CONNECTOR__USE_REGISTRY

  The feature id for the 'Use Registry' attribute.

  See Also:
    Constant Field Values

### SERVICE_CONNECTOR_FEATURE_COUNT

    static final int SERVICE_CONNECTOR_FEATURE_COUNT

  The number of structural features of the 'Service Connector' class.

  See Also:
    Constant Field Values

### PDPA_SERVICE_CONNECTOR

    static final int PDPA_SERVICE_CONNECTOR

  The meta object id for the '`PDPA Service Connector`' class.

  See Also:
    `PDPAServiceConnectorImpl`, `AppresourcesPackageImpl.getPDPAServiceConnector()`, Constant Field Values

### PDPA_SERVICE_CONNECTOR__CODE

    static final int PDPA_SERVICE_CONNECTOR__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### PDPA_SERVICE_CONNECTOR__ANNOTATIONS

    static final int PDPA_SERVICE_CONNECTOR__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### PDPA_SERVICE_CONNECTOR__SERVICE_DEF

    static final int PDPA_SERVICE_CONNECTOR__SERVICE_DEF

  The feature id for the 'Service Def' reference.

  See Also:
    Constant Field Values

### PDPA_SERVICE_CONNECTOR__BINDING

    static final int PDPA_SERVICE_CONNECTOR__BINDING

  The feature id for the 'Binding' reference.

  See Also:
    Constant Field Values

### PDPA_SERVICE_CONNECTOR__SELECTOR

    static final int PDPA_SERVICE_CONNECTOR__SELECTOR

  The feature id for the 'Selector' containment reference.

  See Also:
    Constant Field Values

### PDPA_SERVICE_CONNECTOR__USE_REGISTRY

    static final int PDPA_SERVICE_CONNECTOR__USE_REGISTRY

  The feature id for the 'Use Registry' attribute.

  See Also:
    Constant Field Values

### PDPA_SERVICE_CONNECTOR_FEATURE_COUNT

    static final int PDPA_SERVICE_CONNECTOR_FEATURE_COUNT

  The number of structural features of the 'PDPA Service Connector' class.

  See Also:
    Constant Field Values

### FILE_SYSTEM_CONNECTOR

    static final int FILE_SYSTEM_CONNECTOR

  The meta object id for the '`File System Connector`' class.

  See Also:
    `FileSystemConnectorImpl`, `AppresourcesPackageImpl.getFileSystemConnector()`, Constant Field Values

### FILE_SYSTEM_CONNECTOR__CODE

    static final int FILE_SYSTEM_CONNECTOR__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### FILE_SYSTEM_CONNECTOR__ANNOTATIONS

    static final int FILE_SYSTEM_CONNECTOR__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### FILE_SYSTEM_CONNECTOR_FEATURE_COUNT

    static final int FILE_SYSTEM_CONNECTOR_FEATURE_COUNT

  The number of structural features of the 'File System Connector' class.

  See Also:
    Constant Field Values

### JDBC_DATA_SOURCE_CONNECTOR

    static final int JDBC_DATA_SOURCE_CONNECTOR

  The meta object id for the '`JDBC Data Source Connector`' class.

  See Also:
    `JDBCDataSourceConnectorImpl`, `AppresourcesPackageImpl.getJDBCDataSourceConnector()`, Constant Field Values

### JDBC_DATA_SOURCE_CONNECTOR__CODE

    static final int JDBC_DATA_SOURCE_CONNECTOR__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### JDBC_DATA_SOURCE_CONNECTOR__ANNOTATIONS

    static final int JDBC_DATA_SOURCE_CONNECTOR__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### JDBC_DATA_SOURCE_CONNECTOR_FEATURE_COUNT

    static final int JDBC_DATA_SOURCE_CONNECTOR_FEATURE_COUNT

  The number of structural features of the 'JDBC Data Source Connector' class.

  See Also:
    Constant Field Values

### LDAP_JNDI_CONNECTOR

    static final int LDAP_JNDI_CONNECTOR

  The meta object id for the '`Ldap Jndi Connector`' class.

  See Also:
    `LdapJndiConnectorImpl`, `AppresourcesPackageImpl.getLdapJndiConnector()`, Constant Field Values

### LDAP_JNDI_CONNECTOR__CODE

    static final int LDAP_JNDI_CONNECTOR__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### LDAP_JNDI_CONNECTOR__ANNOTATIONS

    static final int LDAP_JNDI_CONNECTOR__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### LDAP_JNDI_CONNECTOR_FEATURE_COUNT

    static final int LDAP_JNDI_CONNECTOR_FEATURE_COUNT

  The number of structural features of the 'Ldap Jndi Connector' class.

  See Also:
    Constant Field Values

### RPC_WEB_SERVICE_CONNECTOR

    static final int RPC_WEB_SERVICE_CONNECTOR

  The meta object id for the '`RPC Web Service Connector`' class.

  See Also:
    `RPCWebServiceConnectorImpl`, `AppresourcesPackageImpl.getRPCWebServiceConnector()`, Constant Field Values

### RPC_WEB_SERVICE_CONNECTOR__CODE

    static final int RPC_WEB_SERVICE_CONNECTOR__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### RPC_WEB_SERVICE_CONNECTOR__ANNOTATIONS

    static final int RPC_WEB_SERVICE_CONNECTOR__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### RPC_WEB_SERVICE_CONNECTOR__SERVICE_DEF

    static final int RPC_WEB_SERVICE_CONNECTOR__SERVICE_DEF

  The feature id for the 'Service Def' reference.

  See Also:
    Constant Field Values

### RPC_WEB_SERVICE_CONNECTOR__BINDING

    static final int RPC_WEB_SERVICE_CONNECTOR__BINDING

  The feature id for the 'Binding' reference.

  See Also:
    Constant Field Values

### RPC_WEB_SERVICE_CONNECTOR__SELECTOR

    static final int RPC_WEB_SERVICE_CONNECTOR__SELECTOR

  The feature id for the 'Selector' containment reference.

  See Also:
    Constant Field Values

### RPC_WEB_SERVICE_CONNECTOR__USE_REGISTRY

    static final int RPC_WEB_SERVICE_CONNECTOR__USE_REGISTRY

  The feature id for the 'Use Registry' attribute.

  See Also:
    Constant Field Values

### RPC_WEB_SERVICE_CONNECTOR__ENDPOINT

    static final int RPC_WEB_SERVICE_CONNECTOR__ENDPOINT

  The feature id for the 'Endpoint' reference.

  See Also:
    Constant Field Values

### RPC_WEB_SERVICE_CONNECTOR_FEATURE_COUNT

    static final int RPC_WEB_SERVICE_CONNECTOR_FEATURE_COUNT

  The number of structural features of the 'RPC Web Service Connector' class.

  See Also:
    Constant Field Values

### SERVICE_SELECTOR

    static final int SERVICE_SELECTOR

  The meta object id for the '`Service Selector`' class.

  See Also:
    `ServiceSelectorImpl`, `AppresourcesPackageImpl.getServiceSelector()`, Constant Field Values

### SERVICE_SELECTOR__COD_PROD

    static final int SERVICE_SELECTOR__COD_PROD

  The feature id for the 'Cod Prod' attribute.

  See Also:
    Constant Field Values

### SERVICE_SELECTOR__COD_SERV

    static final int SERVICE_SELECTOR__COD_SERV

  The feature id for the 'Cod Serv' attribute.

  See Also:
    Constant Field Values

### SERVICE_SELECTOR__VER_SERV

    static final int SERVICE_SELECTOR__VER_SERV

  The feature id for the 'Ver Serv' attribute.

  See Also:
    Constant Field Values

### SERVICE_SELECTOR__COD_ENTE

    static final int SERVICE_SELECTOR__COD_ENTE

  The feature id for the 'Cod Ente' attribute.

  See Also:
    Constant Field Values

### SERVICE_SELECTOR__ISTANZA

    static final int SERVICE_SELECTOR__ISTANZA

  The feature id for the 'Istanza' attribute.

  See Also:
    Constant Field Values

### SERVICE_SELECTOR__AMBIENTE

    static final int SERVICE_SELECTOR__AMBIENTE

  The feature id for the 'Ambiente' attribute.

  See Also:
    Constant Field Values

### SERVICE_SELECTOR__COD_BINDING

    static final int SERVICE_SELECTOR__COD_BINDING

  The feature id for the 'Cod Binding' attribute.

  See Also:
    Constant Field Values

### SERVICE_SELECTOR_FEATURE_COUNT

    static final int SERVICE_SELECTOR_FEATURE_COUNT

  The number of structural features of the 'Service Selector' class.

  See Also:
    Constant Field Values

### RESOURCE_SET

    static final int RESOURCE_SET

  The meta object id for the '`Resource Set`' class.

  See Also:
    `ResourceSetImpl`, `AppresourcesPackageImpl.getResourceSet()`, Constant Field Values

### RESOURCE_SET__RESOURCES

    static final int RESOURCE_SET__RESOURCES

  The feature id for the 'Resources' containment reference list.

  See Also:
    Constant Field Values

### RESOURCE_SET_FEATURE_COUNT

    static final int RESOURCE_SET_FEATURE_COUNT

  The number of structural features of the 'Resource Set' class.

  See Also:
    Constant Field Values

### RC_ANNOTATION

    static final int RC_ANNOTATION

  The meta object id for the '`RC Annotation`' class.

  See Also:
    `RCAnnotationImpl`, `AppresourcesPackageImpl.getRCAnnotation()`, Constant Field Values

### RC_ANNOTATION__SOURCE

    static final int RC_ANNOTATION__SOURCE

  The feature id for the 'Source' attribute.

  See Also:
    Constant Field Values

### RC_ANNOTATION__DETAILS

    static final int RC_ANNOTATION__DETAILS

  The feature id for the 'Details' containment reference list.

  See Also:
    Constant Field Values

### RC_ANNOTATION_FEATURE_COUNT

    static final int RC_ANNOTATION_FEATURE_COUNT

  The number of structural features of the 'RC Annotation' class.

  See Also:
    Constant Field Values

### RC_ANNOTATION_DETAIL

    static final int RC_ANNOTATION_DETAIL

  The meta object id for the '`RC Annotation Detail`' class.

  See Also:
    `RCAnnotationDetailImpl`, `AppresourcesPackageImpl.getRCAnnotationDetail()`, Constant Field Values

### RC_ANNOTATION_DETAIL__KEY

    static final int RC_ANNOTATION_DETAIL__KEY

  The feature id for the 'Key' attribute.

  See Also:
    Constant Field Values

### RC_ANNOTATION_DETAIL__VALUE

    static final int RC_ANNOTATION_DETAIL__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### RC_ANNOTATION_DETAIL_FEATURE_COUNT

    static final int RC_ANNOTATION_DETAIL_FEATURE_COUNT

  The number of structural features of the 'RC Annotation Detail' class.

  See Also:
    Constant Field Values

Method Detail

### getResourceConnector

    org.eclipse.emf.ecore.EClass getResourceConnector()

  Returns the meta object for class '`Resource Connector`'.

  Returns:
    the meta object for class 'Resource Connector'.
  See Also:
    `ResourceConnector`

### getResourceConnector_Code

    org.eclipse.emf.ecore.EAttribute getResourceConnector_Code()

  Returns the meta object for the attribute '`Code`'.

  Returns:
    the meta object for the attribute 'Code'.
  See Also:
    `ResourceConnector.getCode()`, `getResourceConnector()`

### getResourceConnector_Annotations

    org.eclipse.emf.ecore.EReference getResourceConnector_Annotations()

  Returns the meta object for the containment reference list '`Annotations`'.

  Returns:
    the meta object for the containment reference list 'Annotations'.
  See Also:
    `ResourceConnector.getAnnotations()`, `getResourceConnector()`

### getPDPAServiceConnector

    org.eclipse.emf.ecore.EClass getPDPAServiceConnector()

  Returns the meta object for class '`PDPA Service Connector`'.

  Returns:
    the meta object for class 'PDPA Service Connector'.
  See Also:
    `PDPAServiceConnector`

### getFileSystemConnector

    org.eclipse.emf.ecore.EClass getFileSystemConnector()

  Returns the meta object for class '`File System Connector`'.

  Returns:
    the meta object for class 'File System Connector'.
  See Also:
    `FileSystemConnector`

### getJDBCDataSourceConnector

    org.eclipse.emf.ecore.EClass getJDBCDataSourceConnector()

  Returns the meta object for class '`JDBC Data Source Connector`'.

  Returns:
    the meta object for class 'JDBC Data Source Connector'.
  See Also:
    `JDBCDataSourceConnector`

### getLdapJndiConnector

    org.eclipse.emf.ecore.EClass getLdapJndiConnector()

  Returns the meta object for class '`Ldap Jndi Connector`'.

  Returns:
    the meta object for class 'Ldap Jndi Connector'.
  See Also:
    `LdapJndiConnector`

### getRPCWebServiceConnector

    org.eclipse.emf.ecore.EClass getRPCWebServiceConnector()

  Returns the meta object for class '`RPC Web Service Connector`'.

  Returns:
    the meta object for class 'RPC Web Service Connector'.
  See Also:
    `RPCWebServiceConnector`

### getRPCWebServiceConnector_Endpoint

    org.eclipse.emf.ecore.EReference getRPCWebServiceConnector_Endpoint()

  Returns the meta object for the reference '`Endpoint`'.

  Returns:
    the meta object for the reference 'Endpoint'.
  See Also:
    `RPCWebServiceConnector.getEndpoint()`, `getRPCWebServiceConnector()`

### getServiceSelector

    org.eclipse.emf.ecore.EClass getServiceSelector()

  Returns the meta object for class '`Service Selector`'.

  Returns:
    the meta object for class 'Service Selector'.
  See Also:
    `ServiceSelector`

### getServiceSelector_CodProd

    org.eclipse.emf.ecore.EAttribute getServiceSelector_CodProd()

  Returns the meta object for the attribute '`Cod Prod`'.

  Returns:
    the meta object for the attribute 'Cod Prod'.
  See Also:
    `ServiceSelector.getCodProd()`, `getServiceSelector()`

### getServiceSelector_CodServ

    org.eclipse.emf.ecore.EAttribute getServiceSelector_CodServ()

  Returns the meta object for the attribute '`Cod Serv`'.

  Returns:
    the meta object for the attribute 'Cod Serv'.
  See Also:
    `ServiceSelector.getCodServ()`, `getServiceSelector()`

### getServiceSelector_VerServ

    org.eclipse.emf.ecore.EAttribute getServiceSelector_VerServ()

  Returns the meta object for the attribute '`Ver Serv`'.

  Returns:
    the meta object for the attribute 'Ver Serv'.
  See Also:
    `ServiceSelector.getVerServ()`, `getServiceSelector()`

### getServiceSelector_CodEnte

    org.eclipse.emf.ecore.EAttribute getServiceSelector_CodEnte()

  Returns the meta object for the attribute '`Cod Ente`'.

  Returns:
    the meta object for the attribute 'Cod Ente'.
  See Also:
    `ServiceSelector.getCodEnte()`, `getServiceSelector()`

### getServiceSelector_Istanza

    org.eclipse.emf.ecore.EAttribute getServiceSelector_Istanza()

  Returns the meta object for the attribute '`Istanza`'.

  Returns:
    the meta object for the attribute 'Istanza'.
  See Also:
    `ServiceSelector.getIstanza()`, `getServiceSelector()`

### getServiceSelector_Ambiente

    org.eclipse.emf.ecore.EAttribute getServiceSelector_Ambiente()

  Returns the meta object for the attribute '`Ambiente`'.

  Returns:
    the meta object for the attribute 'Ambiente'.
  See Also:
    `ServiceSelector.getAmbiente()`, `getServiceSelector()`

### getServiceSelector_CodBinding

    org.eclipse.emf.ecore.EAttribute getServiceSelector_CodBinding()

  Returns the meta object for the attribute '`Cod Binding`'.

  Returns:
    the meta object for the attribute 'Cod Binding'.
  See Also:
    `ServiceSelector.getCodBinding()`, `getServiceSelector()`

### getResourceSet

    org.eclipse.emf.ecore.EClass getResourceSet()

  Returns the meta object for class '`Resource Set`'.

  Returns:
    the meta object for class 'Resource Set'.
  See Also:
    `ResourceSet`

### getResourceSet_Resources

    org.eclipse.emf.ecore.EReference getResourceSet_Resources()

  Returns the meta object for the containment reference list '`Resources`'.

  Returns:
    the meta object for the containment reference list 'Resources'.
  See Also:
    `ResourceSet.getResources()`, `getResourceSet()`

### getServiceConnector

    org.eclipse.emf.ecore.EClass getServiceConnector()

  Returns the meta object for class '`Service Connector`'.

  Returns:
    the meta object for class 'Service Connector'.
  See Also:
    `ServiceConnector`

### getServiceConnector_ServiceDef

    org.eclipse.emf.ecore.EReference getServiceConnector_ServiceDef()

  Returns the meta object for the reference '`Service Def`'.

  Returns:
    the meta object for the reference 'Service Def'.
  See Also:
    `ServiceConnector.getServiceDef()`, `getServiceConnector()`

### getServiceConnector_Binding

    org.eclipse.emf.ecore.EReference getServiceConnector_Binding()

  Returns the meta object for the reference '`Binding`'.

  Returns:
    the meta object for the reference 'Binding'.
  See Also:
    `ServiceConnector.getBinding()`, `getServiceConnector()`

### getServiceConnector_Selector

    org.eclipse.emf.ecore.EReference getServiceConnector_Selector()

  Returns the meta object for the containment reference '`Selector`'.

  Returns:
    the meta object for the containment reference 'Selector'.
  See Also:
    `ServiceConnector.getSelector()`, `getServiceConnector()`

### getServiceConnector_UseRegistry

    org.eclipse.emf.ecore.EAttribute getServiceConnector_UseRegistry()

  Returns the meta object for the attribute '`Use Registry`'.

  Returns:
    the meta object for the attribute 'Use Registry'.
  See Also:
    `ServiceConnector.isUseRegistry()`, `getServiceConnector()`

### getRCAnnotation

    org.eclipse.emf.ecore.EClass getRCAnnotation()

  Returns the meta object for class '`RC Annotation`'.

  Returns:
    the meta object for class 'RC Annotation'.
  See Also:
    `RCAnnotation`

### getRCAnnotation_Source

    org.eclipse.emf.ecore.EAttribute getRCAnnotation_Source()

  Returns the meta object for the attribute '`Source`'.

  Returns:
    the meta object for the attribute 'Source'.
  See Also:
    `RCAnnotation.getSource()`, `getRCAnnotation()`

### getRCAnnotation_Details

    org.eclipse.emf.ecore.EReference getRCAnnotation_Details()

  Returns the meta object for the containment reference list '`Details`'.

  Returns:
    the meta object for the containment reference list 'Details'.
  See Also:
    `RCAnnotation.getDetails()`, `getRCAnnotation()`

### getRCAnnotationDetail

    org.eclipse.emf.ecore.EClass getRCAnnotationDetail()

  Returns the meta object for class '`RC Annotation Detail`'.

  Returns:
    the meta object for class 'RC Annotation Detail'.
  See Also:
    `RCAnnotationDetail`

### getRCAnnotationDetail_Key

    org.eclipse.emf.ecore.EAttribute getRCAnnotationDetail_Key()

  Returns the meta object for the attribute '`Key`'.

  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `RCAnnotationDetail.getKey()`, `getRCAnnotationDetail()`

### getRCAnnotationDetail_Value

    org.eclipse.emf.ecore.EAttribute getRCAnnotationDetail_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `RCAnnotationDetail.getValue()`, `getRCAnnotationDetail()`

### getAppresourcesFactory

    AppresourcesFactory getAppresourcesFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD